Package org.eclipse.net4j.util.event

# Class Notifier.Cancelation

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.event.Notifier.Cancelation

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Notifier`

public static final class Notifier.Cancelation extends RuntimeException

Since:
  3.29
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Cancelation(RuntimeException reason)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Cancelation

public Cancelation(RuntimeException reason)